/*
  UecsLetterCheck.h - Library of letters of UECS 


  Ken-ichiro Yasuba 2013.
*/


#ifndef UecsLetterCheck_h
#define UecsLetterCheck_h

#include <stdio.h>
#include <avr/pgmspace.h>



int UECScheckPacket(int _poi, char *__buf, int __bufsize, char *_checkLetter, int _lettersize);
int UECScheckPacketPGM(int _poi, char *__buf, int __bufsize, const char *_romword, int _lettersize);
char* UECSaddPGMChar(const char* _romword, int _charnum, char* _point);
char* UECSaddChar(char* _word, char* _point);
char* UECSaddTempChar(const char* _romword, char* _tempStr, char* _point);

#endif
